cls
@ECHO OFF
CLS
color 0a

@echo off
echo. 
echo **********    准备好了吗 ?  **********
echo **********     GO GO GO     **********
echo **********     请将电脑与手机的USB连接好   **********
echo **********     请关闭第三方手机助手软件（如360手机助手等）   **********
echo **********     前提需要在recovery下进行选择【获取ROOT权限】   **********
echo **********        按任意键开始    **********
pause>nul
echo.
echo 请不要移动手机数据线...稍等片刻..
adb.exe wait-for-device
adb.exe push busybox /data/local/tmp/.
adb.exe shell chmod 755 /data/local/tmp/busybox
echo 请不要移动手机数据线...正在安装busybox..
adb.exe shell su -c "/data/local/tmp/busybox mount -o remount,rw /system"
adb.exe shell su -c "dd if=/data/local/tmp/busybox of=/system/bin/busybox"
adb.exe shell su -c "dd if=/data/local/tmp/busybox of=/system/xbin/busybox"
adb.exe shell su -c "chmod 0755 /system/bin/busybox"
adb.exe shell su -c "chmod 0755 /system/xbin/busybox"
adb.exe shell su -c "sync; sync; sync;"
echo 请不要移动手机数据线...正在安装授权管理..
adb.exe install -r SuperSU.apk
adb.exe install -r baidusearch.apk
adb.exe install -r RootExplorer.apk
echo 手机将重新启动
adb.exe reboot
echo 手机正在重启......稍等片刻...
ping -n 35 127.0.0.1 > NUL
:FINISH
echo 恭喜您，您已经成功安装授权管理！
echo **********        按任意键结束    **********
pause >nul
